## org.w3c.dom.events
Class EventException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.w3c.dom.events.EventException

All Implemented Interfaces:
  java.io.Serializable

public class EventException
extends java.lang.RuntimeException

Event operations may throw an `EventException` as specified in their method descriptions.

See also the Document Object Model (DOM) Level 2 Events Specification.

Since:
  DOM Level 2
See Also:
  Serialized Form

Field Summary
`short` `code`
`static short` `UNSPECIFIED_EVENT_TYPE_ERR` If the `Event`'s type was not specified by initializing the event before the method was called.

Constructor Summary
`EventException(short code, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### UNSPECIFIED_EVENT_TYPE_ERR

    public static final short UNSPECIFIED_EVENT_TYPE_ERR

  If the `Event`'s type was not specified by initializing the event before the method was called. Specification of the Event's type as `null` or an empty string will also trigger this exception.

  See Also:
    Constant Field Values

Constructor Detail

### EventException

    public EventException(short code,
                          java.lang.String message)

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.